]> git.deb.at Git - pkg/beep.git/commitdiff
Explicitly call set -e
authorGerfried Fuchs <rhonda@debian.at>
Tue, 13 Jul 2010 14:13:16 +0000 (16:13 +0200)
committerGerfried Fuchs <rhonda@debian.at>
Tue, 13 Jul 2010 14:13:16 +0000 (16:13 +0200)
debian/changelog
debian/config
debian/postinst
debian/postrm

index 6fada5e3871cde4e33454ed9f00d3c0e59411f1e..41d540a8ac2a6bffdac983befa51cf10eded8008 100644 (file)
@@ -3,6 +3,7 @@ beep (1.2.2-25) unstable; urgency=low
   * Bump Standards-Version to 3.9.0.
   * Add Vcs-* fields to control file.
   * Relicensed Debian packaging under WTFPLv2.
+  * Explicitly call set -e instead of -e on the hashbang line.
 
  -- 
 
index c0c42267b38391eb7b4e816904592aa753f387b0..9cd24db6f7dd12ddfbaafa1aabbb55bda45a5294 100644 (file)
@@ -1,8 +1,10 @@
-#!/bin/sh -e
+#!/bin/sh
 # debian/config file for beep
 # copyright 2002-2009 by Gerfried Fuchs <rhonda@debian.at>
 # Licenced under WTFPLv2
 
+set -e
+
 # Source debconf library.
 . /usr/share/debconf/confmodule
 
index c72f47745cc1f5f5bdd48e7c7c1258861a35cff3..2067f5b3db55accb34761728ae5863f0b467b90a 100644 (file)
@@ -1,8 +1,10 @@
-#!/bin/sh -e
+#!/bin/sh
 # postinst for beep
 # copyright 2002-2009 by Gerfried Fuchs <rhonda@debian.at>
 # Licenced under WTFPLv2
 
+set -e
+
 # Source debconf library.
 if [ -e /usr/share/debconf/confmodule ]; then
        . /usr/share/debconf/confmodule
index a1444aac3c283f9b956a7a50912b148062734b0c..109fca021a5d4e79dc72a1ca01dee7db41b60b8b 100644 (file)
@@ -1,8 +1,10 @@
-#!/bin/sh -e
+#!/bin/sh
 # postrm for beep
 # copyright 2002-2009 by Gerfried Fuchs <rhonda@debian.at>
 # Licenced under WTFPLv2
 
+set -e
+
 if [ "$1" = purge ] && [ -e /usr/share/debconf/confmodule ]; then
        . /usr/share/debconf/confmodule
        db_purge